Subject: bug#73872: 30.0.91; emacs-lisp-mode-syntax-table active when calling `describe-variable' on variable with textually large value.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2024 15:10:53 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>
> Date: Sun, 01 Dec 2024 18:41:23 -0500
> 
> >> Ping!  Sigurd, could you please answer Stefan's questions?
> > Oh, I am so sorry, Stefan's mail had ended up in my junk folder. I
> > thought we were still waiting for his reply. Thanks for pinging me!
> >> > I'm curious: in which context did you notice this?
> >> > Does it lead to an undesirable behavior in a specific case?
> > I have rainbow-delimiters-mode from the rainbow-delimiters package
> > enabled everywhere, which means that font lock is enabled everywhere.
> > The syntax table of help mode has ?; as a comment starter, so wherever
> > it is used in docstrings, the remainder of that line will be
> > highlighted as a comment in the help buffer. I changed the syntax
> > class of ?; in help-mode-syntax-table, but I noticed that sometimes it
> > would still be interpreted as a comment starter, which led me to
> > finding the bug.
> 
> Aahhhh!
> So the underlying problem already bite in the usual case but you worked
> around it by changing `help-mode-syntax-table`.
> I think your change to `help-mode-syntax-table` is about right, so we
> should include it in any fix to this bug.

I was going to install that change, but then I noticed that it removed
the call to terpri.  Is that intentional?

(And why did we start discussing this in private email, without CC'ing
the bug tracker?  I've now added it; please use Reply All to reply.)